.project{
    width: 100%;
    background-color: rgba(var(--backVar),1);
    background: linear-gradient(to top, rgba(var(--backDarker2)), var(--backDarker));
    padding-top: 100px;
    padding-bottom: 100px;
}
.projectContainer{
    width: 73%;
    margin-left: auto;
    margin-right: auto;
}
.projectGrid{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-auto-rows: 500px;
    gap: 1.5rem
}
.gridElement{
    text-align: center;
    background-color: rgba(var(--backDarkerVar), 0.8);
    border-radius: 50px;
    cursor: pointer;
    padding: 50px;
    transition: all 0.3s ease-out;
}
.gridElement:hover{
    transform: scale(1.05);
}
.gridContent{
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    justify-content: space-around;
}
.gridContent > div{
    margin-bottom: 1.5rem;
}
.projectImg{
    margin-left: auto;
    margin-right: auto;
    width: 50%;
    height: 250px;
    transition: all 0.2s ease-out;
}
.gridElement:not(.expanded) .projectImg:hover{
    transform: scale(1.1);
    cursor: pointer;
}
.projectImg img{
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.gridElement.expanded{
    grid-column: span 2;
    grid-row: span 2;
}
.expanded .projectImg{
    height: 100%;
    width: 100%;
}
.expanded > .gridContent{
    height: 100%;
    justify-content: start;
}
@media screen and (max-width:1520px){
    .projectGrid{
        grid-template-columns: 1fr;
    }   
}